%global with_python3 1
%global with_docs 0
%global with_async 1

Name:           python-jinja2
Version:        2.9.6
Release:        %mkrel 1
Summary:        General purpose template engine
Group:          Development/Python
License:        BSD
URL:            http://jinja.pocoo.org/
Source0:        https://files.pythonhosted.org/packages/source/J/Jinja2/Jinja2-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-markupsafe
Requires:       python-babel >= 0.8
Requires:       python-markupsafe
Requires:       python-setuptools

%description
Jinja2 is a template engine written in pure Python.  It provides a
Django inspired non-XML syntax but supports inline expressions and an
optional sandboxed environment.

If you have any exposure to other text-based template languages, such
as Smarty or Django, you should feel right at home with Jinja2. It's
both designer and developer friendly by sticking to Python's
principles and adding functionality useful for templating
environments.

%package -n python3-jinja2
Summary:        General purpose template engine for python3
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-markupsafe
Requires:       python3-markupsafe
Requires:       python3-setuptools
%{?python_provide:%python_provide python3-jinja2}

%description -n python3-jinja2
Jinja2 is a template engine written in pure Python3.  It provides a
Django inspired non-XML syntax but supports inline expressions and an
optional sandboxed environment.

If you have any exposure to other text-based template languages, such
as Smarty or Django, you should feel right at home with Jinja2. It's
both designer and developer friendly by sticking to Python's
principles and adding functionality useful for templating
environments.


%prep
%setup -q -n Jinja2-%{version}
# cleanup
find . -name '*.pyo' -o -name '*.pyc' -delete

# fix EOL
sed -i 's|\r$||g' LICENSE


%build
%py2_build
%py3_build


%install
%py2_install

# remove hidden file
rm -rf docs/_build/html/.buildinfo

# these files are valid only on Python 3.6+
rm %{buildroot}%{python2_sitelib}/jinja2/asyncsupport.py
rm %{buildroot}%{python2_sitelib}/jinja2/asyncfilters.py

%py3_install

%if ! 0%{?with_async}
rm %{buildroot}%{python3_sitelib}/jinja2/asyncsupport.py
rm %{buildroot}%{python3_sitelib}/jinja2/asyncfilters.py
%endif


%files
%doc AUTHORS CHANGES LICENSE
%doc ext
%doc examples
%{python2_sitelib}/jinja2
%{python2_sitelib}/Jinja2-%{version}-py?.?.egg-info


%files -n python3-jinja2
%doc AUTHORS CHANGES LICENSE
%doc ext
%doc examples
%{python3_sitelib}/jinja2
%{python3_sitelib}/Jinja2-%{version}-py?.?.egg-info

%changelog
* Tue Aug 22 2017 bb2 <bb2> - 2.9.6-1pclos2017
- new
